<?php

namespace App\Service;

use App\Objects\DirContent;
use Symfony\Component\DependencyInjection\Attribute\Autowire;
use Symfony\Component\Finder\Finder;

class FileSystemService
{
    public function __construct(
        #[Autowire(env: 'DATA_DIR')]
        private readonly string $dir
    ) {
    }

    /**
     * @return DirContent[]
     */
    public function getDirs(): array
    {
        $finder = new Finder();
        $finder->in($this->dir);

        $contents = [];

        foreach ($finder->depth(0) as $content) {
            $contents[] = DirContent::make($content);
        }

        return $contents;
    }
}